Itouch refuses to install

Status
This thread has been Locked and is not open to further replies. The original thread starter may use the Report button to request it be reopened but anyone else with a similar issue should start a New Thread. Watch our Welcome Guide to learn how to use this site.

mastermc0

Thread Starter
Joined
Aug 10, 2006
Messages
15
Hi guys I'm having problems installing Itouch.

Downloaded the latest version from the logitech site as well as a few different mirrors.

I downloaded the XP version and I am running a fully up to date XP installation.

However when I try to install I get an error telling me that "This version of Itouch is not compatible with your OS":confused: :confused: :eek:
 
Joined
Aug 30, 2004
Messages
2,311
Well, it would help if we KNEW if you are using the correct version. Since there are many versions, and for different languages, how do we know what you have? Perhaps that version of Itouch is not compatible with your OS.
 
Status
This thread has been Locked and is not open to further replies. The original thread starter may use the Report button to request it be reopened but anyone else with a similar issue should start a New Thread. Watch our Welcome Guide to learn how to use this site.

Users Who Are Viewing This Thread (Users: 0, Guests: 1)

As Seen On
As Seen On...

Welcome to Tech Support Guy!

Are you looking for the solution to your computer problem? Join our site today to ask your question. This site is completely free -- paid for by advertisers and donations.

If you're not already familiar with forums, watch our Welcome Guide to get started.

Join over 807,865 other people just like you!

Latest posts

Staff online

Top